﻿//http://wiki.fluidproject.org/display/fluid/Layout+Reorderer+API#LayoutReordererAPI-LayoutReordererOverview
//http://wiki.fluidproject.org/display/fluid/Tutorial+-+Layout+Reorderer+Selectors
//http://build.fluidproject.org/infusion/demos/reorderer/layoutReorderer/html/layoutReorderer.html
/*
Copyright 2008-2009 University of Toronto
Copyright 2010 OCAD University
Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.
You may obtain a copy of the ECL 2.0 License and BSD License at
https://github.com/fluid-project/infusion/raw/master/Infusion-LICENSE.txt
*/

// Declare dependencies
/*global demo:true, fluid, jQuery*/

// JSLint options 
/*jslint white: true, funcinvoke: true, undef: true, newcap: true, nomen: true, regexp: true, bitwise: true, browser: true, forin: true, maxerr: 100, indent: 4 */

var orchardLayoutReorderer = orchardLayoutReorderer || {};
(function ($, fluid) {
    orchardLayoutReorderer.initlayoutReorderer = function () {
        fluid.reorderLayout("#layout-wrapper", {
            selectors: {
                columns: ".zone",
                modules: ".widget",
                lockedModules: ".widget-locked"
            },
            listeners: {
                afterMove: function(model, position, allModels) {
                    var updateObjects = fluid.transform(allModels, function(m) {
                        var id = $(m).attr("data-widgetid");
                        var zoneName = $(m.parentNode).attr("data-zonename");
                        return { Id: id, ZoneName: zoneName };
                    });

                    var jsonArray = JSON.stringify(updateObjects);

                    var url = "Widgets/Update/Positions";
                    $.ajax({
                      type: "PATCH",
                      url: url,
                      data: jsonArray,
                      dataType: 'json',
                      contentType: 'application/json'
                    }).done(function( msg ) {
                      
                    });
                }
            },
            disableWrap: true
        });
    };
})(jQuery, fluid);

$(document).ready(function() {
    orchardLayoutReorderer.initlayoutReorderer();
});